package com.supervision.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.manage.pojo.vo.MedicalRecInfoVO;
import com.supervision.manage.pojo.vo.MedicalRecManageVO;
import com.supervision.manage.pojo.vo.MedicalRecQaVO;
import com.supervision.vo.manage.MedicalRecPageResVO;
import com.supervision.model.Disease;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface MedicalRecManageService {

    List<Disease> queryDiseaseListByKeyWord(String keyword);

    IPage<MedicalRecPageResVO> queryMedicalRecManagePage(String selfDescKeyword, String gender, String diseaseId, Integer pageNum, Integer pageSize);

    void createMedicalRec(MedicalRecManageVO reqVO);

    List<MedicalRecQaVO> queryQuestionListByCreat(String diseaseId);

    void modifyMedicalRec(MedicalRecManageVO reqVO);

    MedicalRecInfoVO queryMedicalRecInfo(String id);

    void deleteMedicalRec(String id);
}
