package com.supervision.manage.service.impl;

import com.supervision.manage.service.AncillaryItemManageService;
import com.supervision.service.ConfigAncillaryItemService;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class AncillaryItemManageServiceImpl implements AncillaryItemManageService {

    private final ConfigAncillaryItemService configAncillaryItemService;
    @Override
    public List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo) {
        return configAncillaryItemService.queryAncillaryItemList(ancillaryItemReqVo);
    }
}
